#!/bin/sh

IRRLICHT_VERSION='6177'

set -e

svn export -r "${IRRLICHT_VERSION}" svn://svn.code.sf.net/p/irrlicht/code/branches/ogl-es irrlicht
cd irrlicht

dos2unix source/Irrlicht/CIrrDeviceLinux.cpp
dos2unix include/IrrCompileConfig.h

wget -O - https://sourceforge.net/p/irrlicht/patches/_discuss/thread/97431334ce/37b2/f348/0599/attachment/multitouch.patch | patch -p1

disable_feature() {
    sed -i "s/^#define $1.*\$//g" include/IrrCompileConfig.h
}
enable_feature() {
    sed -i "s/^#define NO$1.*\$//g" include/IrrCompileConfig.h
    sed -i "s/^#ifdef NO$1\$/#ifndef $1\n#define $1\n#endif\n#ifdef NO$1/g" include/IrrCompileConfig.h
}

disable_feature _IRR_COMPILE_WITH_OPENGL_
disable_feature _IRR_COMPILE_WITH_OGLES2_
disable_feature _IRR_COMPILE_WITH_WEBGL1_
disable_feature _IRR_COMPILE_WITH_SOFTWARE_
disable_feature _IRR_COMPILE_WITH_BURNINGSVIDEO_
enable_feature _IRR_COMPILE_WITH_OGLES1_
enable_feature _IRR_LINUX_X11_XINPUT2_

cd source/Irrlicht

make NDEBUG=1 CC=aarch64-linux-gnu-gcc CXX=aarch64-linux-gnu-g++ -j$(nproc)
